// packageD/energy/AddfamilyMember/AddfamilyMember.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    isMember: "",
    page: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      card_id: options.id,
    });
    this.search();
  },
  tapchange(e) {
    console.log(e);
    this.setData({
      kid: e.detail.value,
    });
  },
  goSearch() {
    this.setData({
      page: 1,
    });
    this.search();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.current_page >= this.data.last_page) {
      wx.showToast({
        title: "没有更多了",
        icon: "none",
        duration: 1000,
      });
    } else {
      let pages = this.data.page + 1;
      this.setData({
        page: pages,
      });
      this.searchMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  tapbtn() {
    let urlStr = app.getNetAddresss(
      "plugin.energy-cabin.frontend.user-terminal.add-family-member"
    );
    let that = this;
    let json = {
      card_id: that.data.card_id,
      family_user_id: that.data.kid,
    };
    app._getNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          wx.navigateBack({
            delta: 1,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  search() {
    let urlStr = app.getNetAddresss(
      "plugin.energy-cabin.frontend.user-terminal.search-member"
    );
    let that = this;
    app._getNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            list: res.data.data,
            current_page: res.data.data.current_page,
            last_page: res.data.data.last_page,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  searchMore() {
    wx.showLoading({
      title: "加载中",
    });
    let urlStr = app.getNetAddresss(
      "plugin.energy-cabin.frontend.user-terminal.search-member"
    );
    let that = this;
    app._getNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            list: that.data.list.concat(res.data.data),
            current_page: res.data.data.current_page,
            last_page: res.data.data.last_page,
          });
          wx.hideLoading({
            complete: (res) => {},
          });
        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      },
    });
  },
});
